%define upstream_name Horde_Auth
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.1.1
Release:     	%mkrel 2
Summary:    	Horde Authentication API
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildRequires: 	php-pear-channel-horde
Requires:    	php-pear >= 1.4.7
Requires: 	php-pear-Horde_Exception >= 2.0.0
Requires: 	php-pear-Horde_Exception < 3.0.0alpha1
Requires: 	php-pear-Horde_Util >= 2.0.0
Requires: 	php-pear-Horde_Util < 3.0.0alpha1
BuildArch:  	noarch

%description
The Horde_Auth package provides a common interface into the various
backends for the Horde authentication system.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s


%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Auth.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Auth.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Auth
fi

%files
%doc docs/Horde_Auth/*
%{peardir}/*
%{xmldir}/Horde_Auth.xml




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.1.1-2.mga4
+ Revision: 545239
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 spuhler <spuhler> 2.1.1-1.mga4
+ Revision: 500972
- upgrade to version 2.1.1

* Tue Oct 01 2013 spuhler <spuhler> 2.1.0-1.mga4
+ Revision: 489774
- upgrade to vers. 2.1.0

* Wed Aug 14 2013 spuhler <spuhler> 2.0.6-1.mga4
+ Revision: 466528
- upgrade to ver 2.0.6

* Tue Jun 04 2013 spuhler <spuhler> 2.0.4-1.mga4
+ Revision: 437282
- upgrade to ver. 2.0.4
- update requires per upstream
- rearranged file section

* Sun Jan 13 2013 umeabot <umeabot> 1.4.9-2.mga3
+ Revision: 376396
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 1.4.9-1.mga3
+ Revision: 275683
- upgrade to  1.4.9

* Fri Feb 10 2012 spuhler <spuhler> 1.4.8-1.mga2
+ Revision: 206787
- upgrade to 1.4.8

* Sat Dec 17 2011 spuhler <spuhler> 1.4.7-1.mga2
+ Revision: 183309
- added the additional files
- upgrade to 1.4.7

* Mon Nov 28 2011 spuhler <spuhler> 1.4.5-1.mga2
+ Revision: 173215
- added %%{peardir}/data/Horde_Auth/locale/et/LC_MESSAGES/Horde_Auth.mo
  added %%{peardir}/data/Horde_Auth/locale/et/LC_MESSAGES/Horde_Auth.po
- upgrade to 1.4.5
  changed -License: from GPLv2 to LGPL-2.1

* Mon Nov 14 2011 spuhler <spuhler> 1.4.4-1.mga2
+ Revision: 167479
- upgrade to 1.4.4

* Sun Nov 06 2011 spuhler <spuhler> 1.4.3-1.mga2
+ Revision: 163956
- upgrade to 1.4.3
- changed Provides: php-pear-Horde_Auth to Provides: php-pear-Horde_Auth = %%{version}
- imported package php-pear-Horde_Auth

